Page MenuHomePhabricator

Internationalization / RTL considerations for V1-V4 [work in progress]
Closed, ResolvedPublic

Description

Improve internationalization of Suggested edits features


From Daisy’s Android Microcontributions Phase1&2 Findings Report in T240198:

For translations, make the RTL UI easier to determine/navigate.


From Android Edit Action Feed - Diary Study in T215630
  • A multilingual experienced editor avoided the translation workflow because of the cognitive load
  • Considerations: the screen as is, with the unclear bidirectional arrows, the two languages show, and the two languages displayed in the card. Further, while LTR->LTR doesn’t create as much cognitive load for most users, other users’ exploration of RTL->RTL, RTL->LTR, LTR->RTL, and the further complication of what the phone’s display language is, led to a user’s deeming the translation landing page a ‘hot mess’
  • Unidirectional arrow indicating source/destination languages; tappability to ‘flip’ direction can remain or be removed
  • Languages to remain where they are, in blue and with or without a dropdown arrow
  • Removal of highlight in the card but keeping the source title description, with a statement immediately below clarifying the task at hand (‘translate [language a] title description into [language b]’ or similar)

Rita’s comment in Suggested edits V4 - Google Docs (to consider)

Might be worthwhile seeing how this Medium/Bolder font weight for captions and descriptions looks in other visually denser languages like Chinese, and also for longer captions. It might be already emphasized quite enough with the highlight and vertical bar without bold weight as well

Event Timeline

scblr renamed this task from RTL improvements in previous versions to RTL considerations for V1-V4.Jan 3 2020, 3:26 PM
scblr renamed this task from RTL considerations for V1-V4 to [work in progress] RTL considerations for V1-V4.Jan 7 2020, 11:48 AM
scblr renamed this task from [work in progress] RTL considerations for V1-V4 to RTL considerations for V1-V4 [work in progress] .
scblr renamed this task from RTL considerations for V1-V4 [work in progress] to Internationalization / RTL considerations for V1-V4 [work in progress] .Jan 13 2020, 3:24 PM
scblr updated the task description. (Show Details)

For the sake of completion: Scheduled a session with @Amire80 for this! Updates will follow soon...

Adding cryptic notes from my conversation with @Amire80 this morning. Will process them soon. Also, feel free to just drop screenshots here @Amire80. Thanks so much for your time, looking forward to our next session!

Amir uses a Samsung Galaxy S7 and Android version 8.0.0

Onboarding
W icon looks correctly in the status bar!

The Free Encyclopedia
... in over 300 languages
Free encyclopedia in more than 300 languages. Ellipsis is appearing incorrectly in Hebrew.

Show all languages without the need to scroll

Checkmarks in illustration are flipped weird

Login
Cursor jumps to password field, but should jump to username if at all.

Suggested edits
After tapping it, screen looked slightly scrolled down (weird)

A translation problem with new in “Hebrew“. Amir will fix it.

Recommends to write very good documentation for each and every message (on TranslateWiki).

*new* indicator is one line, reads weird in Hebrew (e.g. NEW IMAGE TAGS) ... put it somewhere differently

Image tags UI
Notices that image tags doesn’t have a “TRANSLATE”

Image tag onboarding screen:

  • Doesn’t see a problem in Hebrew with it
  • Someone translated it wrongly (mentions that it’s mostly him ;))

Loading of images takes a long time, outputs an error.

Info icon leads users to a section of a page, language selector at the top won’t be visible that way, suggests to split Wiki page into separate pages. Got redirected to the English variant.

Image zooming, hold with one finger should be optimized (Robin).

Not all languages are probably supported by Google Cloud Vision AI, suggests to test it with a language that is not supported by Google Cloud Vision AI and see what happens.

Changing vibration to just once instead of twice (Robin).

Where are the tags stored?! Does not see it on Commons. Not implemented yet? Would love to see where it goes / it’s stored.

Invert animation when swiping suggestions left and right. It currently feels odd in RTL.

Strangely, Amir gets a mix of languages in the suggested tags, e.g. 7 of the tags are in Hebrew one is in Russian, has happened multiple times in different combinations. Mentions that the Russian tags use very weird language.

Wants to check what he did but now sees completely different image suggestions (Robin: a refresh issue?)

Center tags if the word is short. They’re oddly aligned to the right if word’s too short. Robin: Min-width?!

In T240194#5876854, @schoenbaechler wrote:

Adding cryptic notes from my conversation with @Amire80 this morning. Will process them soon. Also, feel free to just drop screenshots here @Amire80. Thanks so much for your time, looking forward to our next session!

Amir uses a Samsung Galaxy S7 and Android version 8.0.0

Onboarding
W icon looks correctly in the status bar!

Yeah :)

I try to say positive things, not just negative things ;)

Sometimes this icon is unnecessarily flipped for RTL languages, but now it isn't.

The Free Encyclopedia
... in over 300 languages
Free encyclopedia in more than 300 languages. Ellipsis is appearing incorrectly in Hebrew.

Actually, it appears correctly as far as software goes, but maybe the message should be rephrased. The current message in English is:

The Free Encyclopedia
…in over 300 languages

The ellipsis looks kind of out of place. Maybe it can be just removed.

Show all languages without the need to scroll

Yes, on the first onboarding screen I see a list of my device's languages. There are four of them. It's good that they are all identified correctly and suggested, but the list is a bit too long. Maybe it could be polished a bit. Screenshot:

Screenshot_20200212-121743_Wikipedia Alpha.jpg (1×1 px, 198 KB)

Checkmarks in illustration are flipped weird

It's a very, very minor issue :)

Login
Cursor jumps to password field, but should jump to username if at all.

Yes.

Suggested edits
After tapping it, screen looked slightly scrolled down (weird)

Yes, it kind of scrolled down a bit. The second time I opened it, it was correctly at the top.

A translation problem with new in “Hebrew“. Amir will fix it.

I already fixed it, but the important parts about this are further:

Recommends to write very good documentation for each and every message (on TranslateWiki).

Indeed. Even though the apps are not a part of MediaWiki, almost everything that is written on the page https://www.mediawiki.org/wiki/Localisation applies to the apps, too. It's strongly recommended that all coders, designers, and product managers read all of it.

The Wikimedia apps developers already employ good internationalization practices most of the time, but a refreshment is always a good thing :)

*new* indicator is one line, reads weird in Hebrew (e.g. NEW IMAGE TAGS) ... put it somewhere differently

Indeed. Despite the different color, it reads like one sentence, and it will confuse a lot of people. The "new" tag should be much more clearly distinguished.

Image tags UI
Notices that image tags doesn’t have a “TRANSLATE”

Yeah, but it's not really a problem. I was just thinking out loud.

Image tag onboarding screen:

  • Doesn’t see a problem in Hebrew with it
  • Someone translated it wrongly (mentions that it’s mostly him ;))

Yes, either my mistake, or another translator's mistake. No action required by app developers or designers.

Loading of images takes a long time, outputs an error.

Yes, that's how it was the first time. After I retried, it was OK. I'm quite sure that my network connection was OK, though.

Info icon leads users to a section of a page, language selector at the top won’t be visible that way, suggests to split Wiki page into separate pages. Got redirected to the English variant.

Yes. I recommend making a short page for each section and linking the info icons to a whole page.

Image zooming, hold with one finger should be optimized (Robin).

Zooming is actually needed for functionality: to understand which tags are more appropriate. I can zoom, but then it immediately goes back to the usual size. So please make it stick.

Not all languages are probably supported by Google Cloud Vision AI, suggests to test it with a language that is not supported by Google Cloud Vision AI and see what happens.

Yes, I strongly, strongly recommend it, even if it's challenging. We are Wikimedia, and according to our vision and guiding principles, and we are supposed to go the extra mile when it comes to language support. I'll be happy to help you find people who can test in more challenging languages.

A related issue: It would be very useful to have an information page that lists the languages that Google supports, and suggests ways in which Wikimedians could contribute to getting their languages supported.

Where are the tags stored?! Does not see it on Commons. Not implemented yet? Would love to see where it goes / it’s stored.

Yes, it's REALLY important. If it was published at all, I have no idea where. It's not a very big deal if it's not available in the app itself, but editors of Wikimedia projects are used to seeing all their contributions in the Contributions list (available by clicking the Contributions link at the top of the page on the desktop).

Invert animation when swiping suggestions left and right. It currently feels odd in RTL.

Yes, this was indeed quite odd. Here's a detailed summary:

  • The appearance and the general functionality of the arrows at the bottom of the screen makes sense.
  • The animation that happens when you tap the arrows at the bottom of the screen is weird. The current photo should slide to the right. Currently, it slides to the left.
  • Swiping the screen gets the next or the previous photo. Swiping from left to right should get the next photo.

Strangely, Amir gets a mix of languages in the suggested tags, e.g. 7 of the tags are in Hebrew one is in Russian, has happened multiple times in different combinations. Mentions that the Russian tags use very weird language.

The numbers are different on each screen. Usually it's mostly Hebrew, and sometimes exclusively Hebrew. But often, one, two, or three tags are in Russian.

I have Hebrew, Russian, Catalan, and English defined as my phone's language and my app languages. I don't get any tags in Catalan or in English.

Sometimes the Russian and the Hebrew tags appear to be the same (translations of each other), but sometimes they are different.

Screenshot_20200212-121743_Wikipedia Alpha.jpg (1×1 px, 198 KB)

Wants to check what he did but now sees completely different image suggestions (Robin: a refresh issue?)

Yes, sounds like it. I wanted to go back a couple of times and saw different images.

Center tags if the word is short. They’re oddly aligned to the right if word’s too short. Robin: Min-width?!

Yes. Two-letter tags look a little ugly ;)


Thanks to Robin for the excellent session!

Ok thx @Amire80 the bulk of your valuable feedback has been distributed to newly created or ongoing Phab tasks:

  • General Android app RTL feedback: T245451
  • Image tag feed UI RTL feedback: T240196
  • *new* indicator design change: T245450

Moving this to “Done” as we’re going to talk about the changes in the above listed tasks.